"use client";

import useThemePreference from "@/lib/hooks/useThemePreference";

export default function BackgroundImage() {
  const dark = useThemePreference();

  return (
    // eslint-disable-next-line @next/next/no-img-element
    <img
      src={dark ? "/background-dark.jpg" : "/background-light.jpg"}
      alt="background image"
      className="select-none fixed left-0 right-0 top-0 bottom-0 -z-50 blur-md opacity-30 w-full min-h-full"
    />
  );
}